| Home | Libraries | People | FAQ | More

##### http::icy_stream::get_executor

Get the executor associated with the object.

###### Synopsis

    executor_type
    get_executor();

###### Description

This function may be used to obtain the executor object that the stream uses to dispatch handlers for asynchronous operations.

###### Return Value

A copy of the executor that stream will use to dispatch handlers.